program cgidemo;

uses
  ecgi_in, windows;

var
  cgi : TCgiInput;
  index:integer;
begin
  cgi:=TCgiInput.Create;
  cgi.BrowserINI:='g:\delphi\cgi\browser.ini';
  cgi.GetVariables;
  cgi.GetData;
  cgi.GetCookies;
  cgi.GetBrowser;

  writeln('HTTP/1.0 200 OK');
  writeln('Content-Type: text/html');
  writeln;
  writeln('<!DOCTYPE HTML PUBLIC  "-//IETF//DTD HTML 2.0//EN">');
  writeln('<HTML>');
  writeln('<HEAD>');
  writeln('<TITLE>ActiveIFace demo</TITLE>');
  writeln('</HEAD>');
  writeln('<BODY BGCOLOR="#FFFFFF">');
  writeln('<H1>Server information</H1>');
  writeln('<TABLE CELLPADDING=10>');
  writeln('<TR><TD WIDTH=175><B>Server software</B></TD><TD>',cgi.Variables.ServerSoftware,'</TD></TR>');
  writeln('<TR><TD><B>Server name</B></TD><TD>',cgi.Variables.ServerName,'</TD></TR>');
  writeln('<TR><TD><B>Server protocol</B></TD><TD>',cgi.Variables.ServerProtocol,'</TD></TR>');
  writeln('<TR><TD><B>Server port</B></TD><TD>',cgi.Variables.ServerPort,'</TD></TR>');
  writeln('</TABLE>');
  writeln('<HR>');
  writeln('<H1>Remote user information</H1>');
  writeln('<TABLE CELLPADDING=10>');
  writeln('<TR><TD WIDTH=175><B>Remote host</B></TD><TD>',cgi.Variables.RemoteHost,'</TD></TR>');
  writeln('<TR><TD><B>Remote address</B></TD><TD>',cgi.Variables.RemoteAddress,'</TD></TR>');
  writeln('<TR><TD><B>Remote user</B></TD><TD>',cgi.Variables.RemoteUser,'</TD></TR>');
  writeln('</TABLE>');
  writeln('<HR>');
  writeln('<H1>Other information</H1>');
  writeln('<TABLE CELLPADDING=10>');
  writeln('<TR><TD WIDTH=175><B>Gateway interface</B></TD><TD>',cgi.Variables.GatewayInterface,'</TD></TR>');
  writeln('<TR><TD><B>Request method</B></TD><TD>',cgi.Variables.RequestMethod,'</TD></TR>');
  writeln('<TR><TD><B>Path info</B></TD><TD>',cgi.Variables.PathInfo,'</TD></TR>');
  writeln('<TR><TD><B>Path translated</B></TD><TD>',cgi.Variables.PathTranslated,'</TD></TR>');
  writeln('<TR><TD><B>Script name</B></TD><TD>',cgi.Variables.ScriptName,'</TD></TR>');
  writeln('<TR><TD><B>Authentification type</B></TD><TD>',cgi.Variables.AuthType,'</TD></TR>');
  writeln('<TR><TD><B>HTTP accept</B></TD><TD>',cgi.Variables.HttpAccept,'</TD></TR>');
  writeln('</TABLE>');
  writeln('<HR>');
  writeln('<H1>Query information</H1>');
  writeln('<TABLE CELLPADDING=10>');
  writeln('<TR><TD WIDTH=175><B>Query string</B></TD><TD>',cgi.ParamRawData,'</TD></TR>');
  writeln('<TR><TD><B>Content type</B></TD><TD>',cgi.Variables.ContentType,'</TD></TR>');
  writeln('<TR><TD><B>Content length</B></TD><TD>',cgi.Variables.ContentLength,'</TD></TR>');
  if (cgi.formdata.count>0) then
  begin
    for index:=0 to cgi.formdata.count-1 do
      writeln('<TR><TD>',cgi.formdata.names[index],'</TD><TD>',cgi.formdata.values[cgi.formdata.names[index]],'</TD></TR>');
  end;
  writeln('</TABLE>');
  writeln('<HR>');
  writeln('<H1>User agent information</H1>');
  writeln('<TABLE CELLPADDING=10>');
  writeln('<TR><TD WIDTH=175><B>HTTP user agent</B></TD><TD>',cgi.Variables.HttpUserAgent,'</TD></TR>');
  writeln('<TR><TD>Name</TD><TD>',cgi.Browser.Name,'</TD></TR>');
  writeln('<TR><TD>Version</TD><TD>',cgi.Browser.Version,'</TD></TR>');
  writeln('<TR><TD>Major version</TD><TD>',cgi.Browser.MajorVer,'</TD></TR>');
  writeln('<TR><TD>Minor version</TD><TD>',cgi.Browser.MinorVer,'</TD></TR>');
  writeln('<TR><TD>Frames</TD><TD>',cgi.Browser.Frames,'</TD></TR>');
  writeln('<TR><TD>Tables</TD><TD>',cgi.Browser.Tables,'</TD></TR>');
  writeln('<TR><TD>Cookies</TD><TD>',cgi.Browser.Cookies,'</TD></TR>');
  writeln('<TR><TD>Background sounds</TD><TD>',cgi.Browser.BackgroundSounds,'</TD></TR>');
  writeln('<TR><TD>VBScript</TD><TD>',cgi.Browser.VBScript,'</TD></TR>');
  writeln('<TR><TD>JavaScript</TD><TD>',cgi.Browser.JavaScript,'</TD></TR>');
  writeln('<TR><TD>Java applets</TD><TD>',cgi.Browser.JavaApplets,'</TD></TR>');
  writeln('<TR><TD>Platform</TD><TD>',cgi.Browser.Platform,'</TD></TR>');
  writeln('<TR><TD>ActiveX</TD><TD>',cgi.Browser.ActiveXControls,'</TD></TR>');
  writeln('<TR><TD>Beta version</TD><TD>',cgi.Browser.Beta,'</TD></TR>');
  writeln('</TABLE>');
  writeln('<HR>');
  writeln('<H1>Cookie information</H1>');
  writeln('<TABLE CELLPADDING=10>');
  writeln('<TR><TD WIDTH=175><B>HTTP cookie</B></TD><TD>',cgi.Variables.Cookie,'</TD></TR>');
  if (cgi.cookies.count>0) then
  begin
    for index:=0 to cgi.cookies.count-1 do
      writeln('<TR><TD>',cgi.cookies.names[index],'</TD><TD>',cgi.cookies.values[cgi.cookies.names[index]],'</TD></TR>');
  end;
  writeln('</TABLE>');
  writeln('<HR>');
  writeln('<P>Created using ActiveIFace from <A HREF="http://active.home.ml.org/">Active Software</A>');
  writeln('</BODY>');
  writeln('</HTML>'); 

  cgi.Free;
end.
